> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Import list
> Used to import or update the values of the list of users that will be associated with your project.
Review our dedicated guide for more information on user lists.
Note: This API is limited to 10,000 records in a single request. If you are importing more records, batch the data into multiple requests.
## OpenAPI ````json POST /import/list { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/import/list": { "post": { "summary": "Import list", "description": "Used to import or update the values of the list of users that will be associated with your project.\n\nReview our dedicated guide for more information on user lists.
\n\nNote: This API is limited to 10,000 records in a single request. If you are importing more records, batch the data into multiple requests.
", "operationId": "list-import", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken", "id", "data" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "id": { "type": "integer", "format": "int32", "description": "ID of the list" }, "data": { "type": "array", "description": "Array of items to import", "items": { "type": "object" } } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "errors": { "type": "array", "items": { "type": "object" } } } }, "examples": { "Result": { "value": { "success": "true", "code": "200" } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } }, "404": { "description": "404", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "404", "default": "0" }, "message": { "type": "string", "example": "Not Found" } } }, "examples": { "Result": { "value": { "success": "false", "code": "404", "message": "Not Found" } } } } } } }, "tags": [ "List Methods" ] } } } } ````